Subject: Re: [RFC v2 6/7] mm/powerpc: Use generic VDSO remap and unmap functions

From: Michael Ellerman <[email-masked]>
Date: Tue, 08 Nov 2016 10:51:56 +1100

Laurent Dufour <[email-masked]> writes:

> On 04/11/2016 05:59, Michael Ellerman wrote:
>> Christopher Covington <[email-masked]> writes:
>> 
>>> The PowerPC VDSO remap and unmap code was copied to a generic location,
>>> only modifying the variable name expected in mm->context (vdso instead of
>>> vdso_base) to match most other architectures. Having adopted this generic
>>> naming, drop the code in arch/powerpc and use the generic version.
>>>
>>> Signed-off-by: Christopher Covington <[email-masked]>
>>> ---
>>>  arch/powerpc/Kconfig                     |  1 +
>>>  arch/powerpc/include/asm/Kbuild          |  1 +
>>>  arch/powerpc/include/asm/mm-arch-hooks.h | 28 -------------------------
>>>  arch/powerpc/include/asm/mmu_context.h   | 35 +-------------------------------
>>>  4 files changed, 3 insertions(+), 62 deletions(-)
>>>  delete mode 100644 arch/powerpc/include/asm/mm-arch-hooks.h
>> 
>> This looks OK.
>> 
>> Have you tested it on powerpc? I could but I don't know how to actually
>> trigger these paths, I assume I need a CRIU setup?
>
> FWIW, tested on ppc64le using a sample test process moving its VDSO and
> then catching a signal on 4.9-rc4 and using CRIU on top of 4.8 with
> sightly changes to due minor upstream changes.
>
> Reviewed-by: Laurent Dufour <[email-masked]>
> Tested-by: Laurent Dufour <[email-masked]>

Thanks, in that case:

Acked-by: Michael Ellerman <[email-masked]>

cheers